> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dialect.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Liquidity Vault Deposit

> Generate a transaction for depositing into a liquidity vault.



## OpenAPI

````yaml /openapi/kamino.json post /v0/liquidity/{vaultAddress}/deposit
openapi: 3.1.1
info:
  title: Kamino Blinks API
  version: 0.0.1
servers:
  - url: https://kamino.dial.to/api
security: []
paths:
  /v0/liquidity/{vaultAddress}/deposit:
    post:
      tags:
        - Liquidity
      summary: Liquidity Vault Deposit
      description: Generate a transaction for depositing into a liquidity vault.
      operationId: kamino.v0.liquidity.liquidityStrategyDeposit
      parameters:
        - name: vaultAddress
          in: path
          required: true
          schema:
            type: string
            description: Vault public key
            default: 819tcubKaRghnpDKnbJhUhyuPFoBMKdTREMoAKBKb7xf
        - name: amount
          in: query
          required: true
          schema:
            type: number
            minimum: 0
            description: The amount to use. Human readable value, e.g. 0.1
            default: '1'
          allowEmptyValue: true
          allowReserved: true
        - name: side
          in: query
          required: false
          schema:
            enum:
              - A
              - B
            default: A
            description: The side of the vault to deposit to
          style: deepObject
          explode: true
          allowEmptyValue: true
          allowReserved: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                type:
                  type: string
                  enum:
                    - transaction
                  default: transaction
                account:
                  type: string
                  description: The public key of the account that executes the transaction
                  default: 6JpNV6DK88auwzKVizdeT4Bw3D44sam5GqjcPCJ7y176
              required:
                - type
                - account
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    const: transaction
                  transaction:
                    type: string
                  links:
                    type: object
                    properties:
                      next:
                        type: object
                        properties:
                          type:
                            type: string
                          href:
                            type: string
                        required:
                          - type
                          - href
                    required:
                      - next
                  dialectExperimental:
                    type: object
                    properties:
                      reference:
                        type: string
                required:
                  - type
                  - transaction

````